stages:
  - build
  - deploy
  
my-first-job:
  stage: build
  image: ubuntu:20.04
  script:
    - apt-get update
    
second-job:
  stage: deploy
  image: mcr.microsoft.com/dotnet/sdk:6.0
  before_script:
    - dotnet restore
  script:
    - dotnet build --no-restore